graphics/kimageformats - The NetBSD Packages Collection

Image format plugins for Qt5

This framework provides additional image format plugins for QtGui.  As
such it is not required for the compilation of any other software, but
may be a runtime requirement for Qt-based software to support certain
image formats.

The following image formats have read-only support:

- Gimp (xcf)
- OpenEXR (exr)
- Photoshop documents (psd)
- Sun Raster (ras)

The following image formats have read and write support:

- Encapsulated PostScript (eps)
- Personal Computer Exchange (pcx)
- SGI images (rgb, rgba, sgi, bw)
- Softimage PIC (pic)
- Targa (tga): supports more formats than Qt's version
- XView (xv)

Build dependencies

devel/extra-cmake-modules devel/extra-cmake-modules pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/cmake devel/cmake devel/pkgconf

Runtime dependencies

archivers/karchive x11/qt5-qtbase graphics/openexr archivers/karchive x11/qt5-qtbase graphics/openexr

Binary packages

OSArchitectureVersion
NetBSD 8.0i386kimageformats-5.70.0nb2.tgz
NetBSD 8.0i386kimageformats-5.80.0nb1.tgz
NetBSD 8.0powerpckimageformats-5.70.0nb2.tgz
NetBSD 8.0powerpckimageformats-5.80.0nb1.tgz
NetBSD 8.0powerpckimageformats-5.80.0nb1.tgz
NetBSD 8.0powerpckimageformats-5.80.0nb3.tgz
NetBSD 8.0x86_64kimageformats-5.70.0nb2.tgz
NetBSD 8.0x86_64kimageformats-5.80.0nb1.tgz
NetBSD 9.0aarch64kimageformats-5.80.0nb3.tgz
NetBSD 9.0aarch64kimageformats-5.70.0nb2.tgz
NetBSD 9.0aarch64kimageformats-5.80.0nb1.tgz
NetBSD 9.0alphakimageformats-5.80.0nb3.tgz
NetBSD 9.0alphakimageformats-5.70.0nb2.tgz
NetBSD 9.0alphakimageformats-5.80.0nb1.tgz
NetBSD 9.0earmkimageformats-5.70.0nb2.tgz
NetBSD 9.0earmkimageformats-5.80.0nb1.tgz
NetBSD 9.0earmkimageformats-5.80.0nb3.tgz
NetBSD 9.0earmv6hfkimageformats-5.80.0nb3.tgz
NetBSD 9.0earmv6hfkimageformats-5.70.0nb2.tgz
NetBSD 9.0earmv6hfkimageformats-5.80.0nb1.tgz
NetBSD 9.0earmv7hfkimageformats-5.80.0nb3.tgz
NetBSD 9.0earmv7hfkimageformats-5.70.0nb2.tgz
NetBSD 9.0earmv7hfkimageformats-5.80.0nb1.tgz
NetBSD 9.0i386kimageformats-5.70.0nb2.tgz
NetBSD 9.0i386kimageformats-5.80.0nb1.tgz
NetBSD 9.0i386kimageformats-5.80.0nb3.tgz
NetBSD 9.0mips64ebkimageformats-5.80.0nb1.tgz
NetBSD 9.0mips64ebkimageformats-5.70.0nb1.tgz
NetBSD 9.0mips64ebkimageformats-5.70.0nb2.tgz
NetBSD 9.0mips64ebkimageformats-5.70.0nb2.tgz
NetBSD 9.0mips64ebkimageformats-5.80.0nb3.tgz
NetBSD 9.0powerpckimageformats-5.80.0nb1.tgz
NetBSD 9.0powerpckimageformats-5.70.0nb2.tgz
NetBSD 9.0powerpckimageformats-5.80.0nb1.tgz
NetBSD 9.0powerpckimageformats-5.80.0nb3.tgz
NetBSD 9.0sparc64kimageformats-5.80.0nb1.tgz
NetBSD 9.0sparc64kimageformats-5.70.0nb2.tgz
NetBSD 9.0sparc64kimageformats-5.80.0nb3.tgz
NetBSD 9.0x86_64kimageformats-5.80.0nb2.tgz
NetBSD 9.0x86_64kimageformats-5.80.0nb3.tgz
NetBSD 9.0x86_64kimageformats-5.70.0nb2.tgz
NetBSD 9.0x86_64kimageformats-5.80.0nb1.tgz
NetBSD 9.0x86_64kimageformats-5.80.0nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.